// Copyright Epic Games, Inc. All Rights Reserved.

#include "SeagullGameGameMode.h"
#include "SeagullGamePlayerController.h"
#include "SeagullGameCharacter.h"
#include "UObject/ConstructorHelpers.h"

ASeagullGameGameMode::ASeagullGameGameMode()
{
	// use our custom PlayerController class
	PlayerControllerClass = ASeagullGamePlayerController::StaticClass();

	// set default pawn class to our Blueprinted character
	static ConstructorHelpers::FClassFinder<APawn> PlayerPawnBPClass(TEXT("/Game/TopDown/Blueprints/BP_TopDownCharacter"));
	if (PlayerPawnBPClass.Class != nullptr)
	{
		DefaultPawnClass = PlayerPawnBPClass.Class;
	}

	// set default controller to our Blueprinted controller
	static ConstructorHelpers::FClassFinder<APlayerController> PlayerControllerBPClass(TEXT("/Game/TopDown/Blueprints/BP_TopDownPlayerController"));
	if(PlayerControllerBPClass.Class != NULL)
	{
		PlayerControllerClass = PlayerControllerBPClass.Class;
	}
}